## ros-melodic-ecl-eigen 0.62.2

=== include/CMakeLists.txt ===
###############################################################################
# Directories
###############################################################################

if(DEFINED ECL_EIGEN_IS_INTERNAL_3_1_2)
    install(DIRECTORY eigen3.1.2/Eigen DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})
    install(DIRECTORY eigen3.1.2/Eigen/unsupported DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})
elseif(DEFINED ECL_EIGEN_IS_INTERNAL_3_2_1)
    install(DIRECTORY eigen3.2.1/Eigen DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})
    # don't like this, but seems to be the only way to get unsupported found in installspace
    install(DIRECTORY eigen3.2.1/Eigen/unsupported DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})
endif()

=== debian/changelog ===
ros-melodic-ecl-eigen (0.62.2-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 14 Sep 2018 18:35:25 -0000

ros-melodic-ecl-eigen (0.61.16-0bionic) bionic; urgency=high

  * find Eigen3 instead of Eigen (that is deprecating)

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 13 Jan 2017 05:00:00 -0000

ros-melodic-ecl-eigen (0.61.0-0bionic) bionic; urgency=high

  * internal eigen support for v3.2.1
  * bugfix missing unsupported modules in the install space.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 12 Sep 2014 04:00:00 -0000

ros-melodic-ecl-eigen (0.60.9-0bionic) bionic; urgency=high

  * transfer eigen hunting to ros cmake modules

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Apr 2014 04:00:00 -0000

ros-melodic-ecl-eigen (0.60.7-0bionic) bionic; urgency=high

  * export devel prefix include path to ensure configured headers are found.
  * export local header directory.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 03 Feb 2014 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-ecl-eigen
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-ecl-license
Homepage: http://wiki.ros.org/ecl_eigen
Standards-Version: 3.9.2

Package: ros-melodic-ecl-eigen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-ecl-license
Description: This provides an Eigen implementation for ecl's linear algebra.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ecl-eigen//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
